import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {AppService} from "../../../service/appHttpService";


@IonicPage()
@Component({
  selector: 'page-change-apply-sure',
  templateUrl: 'change-apply-sure.html',
})
export class ChangeApplySurePage {

    applyType;    //申请类型
   changeId;  // 换班Id
   personId;  //替班人id
   nowId;     //申请id
  constructor(public navCtrl: NavController, public navParams: NavParams,
              public appService: AppService) {
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad ChangeApplySurePage');
   this.personId = this.navParams.get('personId');
   this.nowId = this.navParams.get('nowId');
   this.changeId = this.navParams.get('changeId');
   if(this.personId){
       this.applyType = 'replace';  //值班
   }else{
       this.applyType = 'change';   //替班
   }

  }

  //换班
  change(){
    const data = {
        id:'',  //值班记录id
        personId:''   //替班人id
    };
    this.appService.ObserverHttpGet('/wisdomgroup/schedule/change',data)
        .subscribe((res)=>{
          console.log(res.json());
        })
  }

  //替班
  replace(){
      const data = {
        nowId:'',  //值班记录id
        changeId:'' //互换的值班ID
      };
      this.appService.ObserverHttpGet('/wisdomgroup/schedule/replace ',data)
          .subscribe((res)=>{
              console.log(res.json());
          })
  }

}
